<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_SOLICITACOES == 1 or $Permissoes->FUN_TBL_RELATORIO_PENDENCIAS == 1) {

    class EspecificacaoFuncionalNaoConformidadeController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'EspecificacaoFuncionalNaoConformidade'),
            ));
        }

        public function actionCreate() {
            $model = new EspecificacaoFuncionalNaoConformidade;


            if (isset($_POST['EspecificacaoFuncionalNaoConformidade'])) {
                $model->setAttributes($_POST['EspecificacaoFuncionalNaoConformidade']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->EFN_CODIGO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'EspecificacaoFuncionalNaoConformidade');


            if (isset($_POST['EspecificacaoFuncionalNaoConformidade'])) {
                $model->setAttributes($_POST['EspecificacaoFuncionalNaoConformidade']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->EFN_CODIGO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'EspecificacaoFuncionalNaoConformidade')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new EspecificacaoFuncionalNaoConformidade('search');
            $model->unsetAttributes();

            if (isset($_GET['EspecificacaoFuncionalNaoConformidade']))
                $model->setAttributes($_GET['EspecificacaoFuncionalNaoConformidade']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

        public function actionForm() {
            $this->layout = 'NULL';
            $NaoConformidade = new EspecificacaoFuncionalNaoConformidade();
            $this->render('form', array('NaoConformidade' => $NaoConformidade));
        }

    }

}